List detections
curl --request GET \
--url https://api.withsplendor.com/v1/admin/detections \
--header 'Authorization: Bearer <token>' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>'import requests
url = "https://api.withsplendor.com/v1/admin/detections"
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.withsplendor.com/v1/admin/detections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": [
{
"code": null,
"condition_type": "count_gt",
"consecutive_triggers": 0,
"created_at": "2026-01-15T09:30:00Z",
"description": "Alerts when error volume spikes.",
"enabled": true,
"kind": "threshold",
"last_run_at": "2026-01-15T09:30:00Z",
"last_triggered_at": null,
"name": "High error rate",
"query": {
"text": "error"
},
"rule_id": 3,
"schedule_cron": "*/5 * * * *",
"tenant_id": "acme",
"threshold": 100,
"updated_at": "2026-01-15T09:30:00Z",
"webhook_url": "https://hooks.example.com/splendor"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Detections
List detections
Lists the detection rules configured in the selected tenant.
GET
/
v1
/
admin
/
detections
List detections
⌘I